import osfrom unstructured import UnstructuredClientclient = UnstructuredClient( username=os.environ.get("UNSTRUCTURED_USERNAME"), # This is the default and can be omitted password=os.environ.get("UNSTRUCTURED_PASSWORD"), # This is the default and can be omitted)connector_response = client.data_source.delete( connector_name="connector_name",)print(connector_response.profile_id)
Copy
{ "profile_id": "<string>"}
Data Connectors
Delete
Delete a data connector and all associated data.
This operation will:
Delete all vector data stored in the VDB
Remove the connector configuration
Clean up connection sharing metadata if enabled
Request Body
Field
Type
Description
connector_name
str
The profile name of the data connector to delete.
Response
200: VDB connector deleted successfully
Returns: { "profile_id": str }
404: Connector not found
500: Internal Server Error (e.g., failed to store secret)
Example
{ "connector_name": "my-pinecone-db"}
POST
/
data_connector
/
delete
Python
Copy
import osfrom unstructured import UnstructuredClientclient = UnstructuredClient( username=os.environ.get("UNSTRUCTURED_USERNAME"), # This is the default and can be omitted password=os.environ.get("UNSTRUCTURED_PASSWORD"), # This is the default and can be omitted)connector_response = client.data_source.delete( connector_name="connector_name",)print(connector_response.profile_id)